Settings
Deployment and organization settings.
13 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors
List the organization settings
/api/v1/account/organizations/{id}/settings
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Response 200 OK application/json
-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/settings' \
-H 'Authorization: Bearer <badge>'Response 200
{
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
}Update several organization settings
/api/v1/account/organizations/{id}/settings
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
Response 200 OK application/json
-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/settings' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
}'Response 200
{
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
}List the organization setting sections
/api/v1/account/organizations/{id}/settings/sections
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Response 200 OK application/json
-
scopestring -
sectionsarray[object]-
namestring -
scopestring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/settings/sections' \
-H 'Authorization: Bearer <badge>'Response 200
{
"scope": "string",
"sections": [
{
"name": "string",
"scope": "string"
}
]
}Get an organization setting
/api/v1/account/organizations/{id}/settings/{name}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
namestring required
Response 200 OK application/json
-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/settings/{name}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
}Set an organization setting
/api/v1/account/organizations/{id}/settings/{name}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
namestring required
Request body application/json required
object
Response 200 OK application/json
-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X PUT 'https://pcp.example.com/api/v1/account/organizations/{id}/settings/{name}' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{}'Response 200
{
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
}Delete an organization setting
/api/v1/account/organizations/{id}/settings/{name}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
namestring required
Response 200 OK application/json
-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X DELETE 'https://pcp.example.com/api/v1/account/organizations/{id}/settings/{name}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
}Get the effective value of an organization setting
/api/v1/account/organizations/{id}/settings/{name}/effective
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
namestring required
Response 200 OK application/json
-
settingobject-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
-
-
sourceobject-
inheritableboolean -
inheritedboolean -
lockedboolean -
locked_hereboolean -
organization_idstring<uuid> -
organization_namestring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/settings/{name}/effective' \
-H 'Authorization: Bearer <badge>'Response 200
{
"setting": {
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
},
"source": {
"inheritable": true,
"inherited": true,
"locked": true,
"locked_here": true,
"organization_id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"organization_name": "string"
}
}Set how a setting section is handed down
/api/v1/account/organizations/{id}/settings/{name}/flags
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
namestring required
Request body application/json required
-
inheritableboolean -
lockedboolean
Response 200 OK application/json
-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X PUT 'https://pcp.example.com/api/v1/account/organizations/{id}/settings/{name}/flags' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"inheritable": true,
"locked": true
}'Response 200
{
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
}List the deployment settings
/api/v1/settings
Response 200 OK application/json
-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/settings' \
-H 'Authorization: Bearer <badge>'Response 200
{
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
}Update several deployment settings
/api/v1/settings
Request body application/json required
-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
Response 200 OK application/json
-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/settings' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
}'Response 200
{
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
}List the deployment setting sections
/api/v1/settings/sections
Response 200 OK application/json
-
scopestring -
sectionsarray[object]-
namestring -
scopestring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/settings/sections' \
-H 'Authorization: Bearer <badge>'Response 200
{
"scope": "string",
"sections": [
{
"name": "string",
"scope": "string"
}
]
}Get a deployment setting
/api/v1/settings/{name}
Path parameters
-
namestring required
Response 200 OK application/json
-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/settings/{name}' \
-H 'Authorization: Bearer <badge>'Response 200
{
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
}Set a deployment setting
/api/v1/settings/{name}
Path parameters
-
namestring required
Request body application/json required
object
Response 200 OK application/json
-
alertingobject nullable-
emailstring
-
-
authobject nullable-
api_key_rotation_grace_hoursinteger -
api_key_rotation_ttl_daysinteger -
badge_ttl_secondsinteger
-
-
edgeobject nullable-
enrollment_keystring
-
-
mailerobject nullable-
from_addressstring -
hoststring -
passwordstring -
portinteger -
tlsboolean -
usernamestring
-
-
packagesobject nullable-
repository_urlstring
-
-
retentionobject nullable-
min_versionsinteger nullable
-
-
securityobject nullable-
mfa_enforcedboolean
-
-
ssoobject nullable-
providersarray[object]-
domainsarray[string] -
providerstring
-
-
-
vectorobject nullable-
addressstring
-
-
webhookobject nullable-
auth_typestring -
enabledboolean -
eventsmap[array[string]] -
secretstring -
urlstring
-
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X PUT 'https://pcp.example.com/api/v1/settings/{name}' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{}'Response 200
{
"alerting": {
"email": "string"
},
"auth": {
"api_key_rotation_grace_hours": 0,
"api_key_rotation_ttl_days": 0,
"badge_ttl_seconds": 0
},
"edge": {
"enrollment_key": "string"
},
"mailer": {
"from_address": "string",
"host": "string",
"password": "string",
"port": 0,
"tls": true,
"username": "string"
},
"packages": {
"repository_url": "string"
},
"retention": {
"min_versions": 0
},
"security": {
"mfa_enforced": true
},
"sso": {
"providers": [
{
"domains": [
"string"
],
"provider": "string"
}
]
},
"vector": {
"address": "string"
},
"webhook": {
"auth_type": "string",
"enabled": true,
"events": {
"key": [
"string"
]
},
"secret": "string",
"url": "string"
}
}